CVE-2005-3357

MEDIUM

Description

mod_ssl in Apache 2.0 up to 2.0.55, when configured with an SSL vhost with access control and a custom error 400 error page, allows remote attackers to cause a denial of service (application crash) via a non-SSL request to an SSL port, which triggers a NULL pointer dereference.

References

ftp://patches.sgi.com/support/free/security/advisories/20060101-01-U

http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01428449

http://issues.apache.org/bugzilla/show_bug.cgi?id=37791

http://lists.apple.com/archives/security-announce/2008//May/msg00001.html

http://lists.suse.de/archive/suse-security-announce/2006-Feb/0008.html

http://marc.info/?l=bugtraq&m=130497311408250&w=2

http://rhn.redhat.com/errata/RHSA-2006-0159.html

http://secunia.com/advisories/18307

http://secunia.com/advisories/18333

http://secunia.com/advisories/18339

http://secunia.com/advisories/18340

http://secunia.com/advisories/18429

http://secunia.com/advisories/18517

http://secunia.com/advisories/18585

http://secunia.com/advisories/18743

http://secunia.com/advisories/19012

http://secunia.com/advisories/21848

http://secunia.com/advisories/22233

http://secunia.com/advisories/22368

http://secunia.com/advisories/22523

http://secunia.com/advisories/22669

http://secunia.com/advisories/22992

http://secunia.com/advisories/23260

http://secunia.com/advisories/29849

http://secunia.com/advisories/30430

http://securitytracker.com/id?1015447

http://sunsolve.sun.com/search/document.do?assetkey=1-26-102640-1

http://sunsolve.sun.com/search/document.do?assetkey=1-26-102662-1

http://support.avaya.com/elmodocs2/security/ASA-2006-250.htm

http://svn.apache.org/viewcvs?rev=358026&view=rev

http://www.gentoo.org/security/en/glsa/glsa-200602-03.xml

http://www.redhat.com/archives/fedora-announce-list/2006-January/msg00060.html

http://www.securityfocus.com/archive/1/425399/100/0/threaded

http://www.securityfocus.com/archive/1/445206/100/0/threaded

http://www.securityfocus.com/archive/1/450315/100/0/threaded

http://www.securityfocus.com/bid/16152

http://www.trustix.org/errata/2005/0074/

http://www.ubuntulinux.org/usn/usn-241-1

http://www.us-cert.gov/cas/techalerts/TA08-150A.html

http://www.vupen.com/english/advisories/2006/0056

http://www.vupen.com/english/advisories/2006/3920

http://www.vupen.com/english/advisories/2006/3995

http://www.vupen.com/english/advisories/2006/4207

http://www.vupen.com/english/advisories/2006/4300

http://www.vupen.com/english/advisories/2006/4868

http://www.vupen.com/english/advisories/2008/1246/references

http://www.vupen.com/english/advisories/2008/1697

http://www14.software.ibm.com/webapp/set2/subscriptions/pqvcmjd?mode=18&ID=3117

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.opensuse.org/opensuse-security-announce/2006-09/msg00016.html

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11467

Details

Source: MITRE

Published: 2005-12-31

Updated: 2021-03-30

Type: CWE-399

Risk Information

CVSS v2.0

Base Score: 5.4

Vector: AV:N/AC:H/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 4.9

Severity: MEDIUM

Tenable Plugins

View all (16 total)

IDNameProductFamilySeverity
127360NewStart CGSL MAIN 4.05 : httpd Multiple Vulnerabilities (NS-SA-2019-0118)NessusNewStart CGSL Local Security Checks
critical
32478Mac OS X Multiple Vulnerabilities (Security Update 2008-003)NessusMacOS X Local Security Checks
critical
32477Mac OS X 10.5.x < 10.5.3 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
29200HP-UX PHSS_37141 : s700_800 11.X OV NNM6.4x/ET2.0x Intermediate Patch 17NessusHP-UX Local Security Checks
critical
26896HP-UX PHSS_36773 : s700_800 11.X OV NNM7.01 Intermediate Patch 11NessusHP-UX Local Security Checks
critical
26155HP-UX PHSS_36386 : HP OpenView Network Node Manager (OV NNM) Running Apache, Remote Cross Site Scripting (XSS), Denial of Service (DoS), Execute Arbitrary Code (HPSBMA02328 SSRT071293 rev.2)NessusHP-UX Local Security Checks
high
26154HP-UX PHSS_36385 : HP OpenView Network Node Manager (OV NNM) Running Apache, Remote Cross Site Scripting (XSS), Denial of Service (DoS), Execute Arbitrary Code (HPSBMA02328 SSRT071293 rev.2)NessusHP-UX Local Security Checks
high
23715HP-UX PHSS_35437 : s700_800 11.04 Webproxy server 2.1 (Apache 2.x) updateNessusHP-UX Local Security Checks
high
23714HP-UX PHSS_35436 : s700_800 11.04 Virtualvault 4.7 OWS (Apache 2.x) updateNessusHP-UX Local Security Checks
high
21884CentOS 3 / 4 : httpd (CESA-2006:0159)NessusCentOS Local Security Checks
medium
20874GLSA-200602-03 : Apache: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
20788Ubuntu 4.10 / 5.04 / 5.10 : apache2, apache vulnerabilities (USN-241-1)NessusUbuntu Local Security Checks
medium
20757Fedora Core 4 : httpd-2.0.54-10.3 (2006-052)NessusFedora Local Security Checks
medium
20473Mandrake Linux Security Advisory : apache2 (MDKSA-2006:007)NessusMandriva Local Security Checks
medium
20398RHEL 3 / 4 : httpd (RHSA-2006:0159)NessusRed Hat Local Security Checks
medium
20386Apache mod_ssl ssl_hook_Access Error Handling DoSNessusWeb Servers
medium